osgUtil::PolytopeIntersector::Intersection Struct Reference

`#include <PolytopeIntersector>`

## Public Types

enum | { MaxNumIntesectionPoints =6 }

## Public Member Functions

| Intersection ()
bool | operator< (const Intersection &rhs) const

## Public Attributes

double | distance
| distance from reference plane
double | maxDistance
| maximum distance of intersection points from reference plane
osg::NodePath | nodePath
osg::ref_ptr< osg::Drawable > | drawable
osg::ref_ptr< osg::RefMatrix > | matrix
Vec3_type | localIntersectionPoint
| center of all intersection points
unsigned int | numIntersectionPoints
Vec3_type | intersectionPoints [MaxNumIntesectionPoints]
unsigned int | primitiveIndex
| primitive index

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
MaxNumIntesectionPoints |

## Constructor & Destructor Documentation

## Intersection()

osgUtil::PolytopeIntersector::Intersection::Intersection | ( |  | ) |

inline

References distance, maxDistance, numIntersectionPoints, and primitiveIndex.

Referenced by operator<().

## Member Function Documentation

## operator<()

bool osgUtil::PolytopeIntersector::Intersection::operator< | ( | const Intersection & | rhs | ) | const

inline

References distance, drawable, Intersection(), nodePath, and primitiveIndex.

## Member Data Documentation

## distance

double osgUtil::PolytopeIntersector::Intersection::distance

distance from reference plane

Referenced by Intersection(), and operator<().

## drawable

osg::ref_ptr<osg::Drawable> osgUtil::PolytopeIntersector::Intersection::drawable

Referenced by operator<().

## intersectionPoints

Vec3_type osgUtil::PolytopeIntersector::Intersection::intersectionPoints[MaxNumIntesectionPoints]

## localIntersectionPoint

Vec3_type osgUtil::PolytopeIntersector::Intersection::localIntersectionPoint

center of all intersection points

## matrix

osg::ref_ptr<osg::RefMatrix> osgUtil::PolytopeIntersector::Intersection::matrix

## maxDistance

double osgUtil::PolytopeIntersector::Intersection::maxDistance

maximum distance of intersection points from reference plane

Referenced by Intersection().

## nodePath

osg::NodePath osgUtil::PolytopeIntersector::Intersection::nodePath

Referenced by operator<().

## numIntersectionPoints

unsigned int osgUtil::PolytopeIntersector::Intersection::numIntersectionPoints

Referenced by Intersection().

## primitiveIndex

unsigned int osgUtil::PolytopeIntersector::Intersection::primitiveIndex

primitive index

Referenced by Intersection(), and operator<().

The documentation for this struct was generated from the following file:

- PolytopeIntersector